Subject: Re: [ANNOUNCE] GIT 1.5.4

From: Pierre Habouzit <[email-masked]>
Date: Sun, 03 Feb 2008 11:38:04 +0100

On Sun, Feb 03, 2008 at 01:00:57AM +0000, Junichi Uekawa wrote:
> Hi,
> 
> 
> When I was idly googling around for traces of VCS and popularity,
> noticed that Git is actually pretty popular.  Googling for 'gitweb'
> and 'viewcvs' and other comparative web-frontend variants floating in
> the cyberspace I get these number of hits (in rough estimate) :
> 
> 10000000 CVS
> 1000000 SVN
> 100000 Git
> 10000 Mercurial / Darcs
> 1000 Bzr
> 
> This is crude, and I'm sure someone else will come up with a better
> estimate. The point is, when there are so many users, people don't
> read the lists or the changelog, but rely on manuals, and be surprised
> with this change.

  http://www.google.com/trends?q=svn%2C+git%2C+mercurial%2C+bzr%2C+darcs&ctab=0&geo=all&date=all&sort=0

  :)

> I was wondering why I use the git-xxx format so much (in muscle, and
> in scripts). And realized I have the following reasons:
> 
> 1. That's the form documented in the manual pages (generated from asciidoc)
> 
> 2. That's the name manual pages are in.
> 
> 3. Linus said it's better (3 years ago), and I thought so too.
>    (Situation has changed, bash has better completion for 'git'
>    commands, so that's no longer valid)
> 
> 4. There was a GNU Interactive Tools with the same name 'git', so it
> was better to avoid confusion then. (This is still the case with
> Debian, where the sysadmin can choose whether to make 'git' (GNU
> Interactive Tools) the default, or our beloved git.
> 
> 5. There are many documentations floating around.
> 
> 6. I'm used to it.

  Yes, but your aliases are not usable through git-foo, only git foo is.
So for consistency reasons, non dashed versions are better.

  And one could in the future have builtin commands without the
corresponding git-foo and git-bar either. I'm thinking
git-revert/git-cherry-pick that use _exactly_ the same code and code
objects, hence having the two binary is somehow a waste of space.
git-log variants are the same, and so on. I'm not saying this _will_ be
done, TTBOMK it has not even been discussed, but that may happen at some
point.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org